<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>DepartamentResource.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.web.rest</a> &gt; <span class="el_source">DepartamentResource.java</span></div><h1>DepartamentResource.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.web.rest;
import com.theo.myjhipster.domain.Departament;
import com.theo.myjhipster.service.DepartamentService;
import com.theo.myjhipster.web.rest.errors.BadRequestAlertException;
import com.theo.myjhipster.web.rest.util.HeaderUtil;
import io.github.jhipster.web.util.ResponseUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.net.URI;
import java.net.URISyntaxException;

import java.util.List;
import java.util.Optional;

/**
 * REST controller for managing Departament.
 */
@RestController
@RequestMapping(&quot;/api&quot;)
public class DepartamentResource {

<span class="fc" id="L26">    private final Logger log = LoggerFactory.getLogger(DepartamentResource.class);</span>

    private static final String ENTITY_NAME = &quot;departament&quot;;

    private final DepartamentService departamentService;

<span class="fc" id="L32">    public DepartamentResource(DepartamentService departamentService) {</span>
<span class="fc" id="L33">        this.departamentService = departamentService;</span>
<span class="fc" id="L34">    }</span>

    /**
     * POST  /departaments : Create a new departament.
     *
     * @param departament the departament to create
     * @return the ResponseEntity with status 201 (Created) and with body the new departament, or with status 400 (Bad Request) if the departament has already an ID
     * @throws URISyntaxException if the Location URI syntax is incorrect
     */
    @PostMapping(&quot;/departaments&quot;)
    public ResponseEntity&lt;Departament&gt; createDepartament(@Valid @RequestBody Departament departament) throws URISyntaxException {
<span class="fc" id="L45">        log.debug(&quot;REST request to save Departament : {}&quot;, departament);</span>
<span class="fc bfc" id="L46" title="All 2 branches covered.">        if (departament.getId() != null) {</span>
<span class="fc" id="L47">            throw new BadRequestAlertException(&quot;A new departament cannot already have an ID&quot;, ENTITY_NAME, &quot;idexists&quot;);</span>
        }
<span class="fc" id="L49">        Departament result = departamentService.save(departament);</span>
<span class="fc" id="L50">        return ResponseEntity.created(new URI(&quot;/api/departaments/&quot; + result.getId()))</span>
<span class="fc" id="L51">            .headers(HeaderUtil.createEntityCreationAlert(ENTITY_NAME, result.getId().toString()))</span>
<span class="fc" id="L52">            .body(result);</span>
    }

    /**
     * PUT  /departaments : Updates an existing departament.
     *
     * @param departament the departament to update
     * @return the ResponseEntity with status 200 (OK) and with body the updated departament,
     * or with status 400 (Bad Request) if the departament is not valid,
     * or with status 500 (Internal Server Error) if the departament couldn't be updated
     * @throws URISyntaxException if the Location URI syntax is incorrect
     */
    @PutMapping(&quot;/departaments&quot;)
    public ResponseEntity&lt;Departament&gt; updateDepartament(@Valid @RequestBody Departament departament) throws URISyntaxException {
<span class="fc" id="L66">        log.debug(&quot;REST request to update Departament : {}&quot;, departament);</span>
<span class="fc bfc" id="L67" title="All 2 branches covered.">        if (departament.getId() == null) {</span>
<span class="fc" id="L68">            throw new BadRequestAlertException(&quot;Invalid id&quot;, ENTITY_NAME, &quot;idnull&quot;);</span>
        }
<span class="fc" id="L70">        Departament result = departamentService.save(departament);</span>
<span class="fc" id="L71">        return ResponseEntity.ok()</span>
<span class="fc" id="L72">            .headers(HeaderUtil.createEntityUpdateAlert(ENTITY_NAME, departament.getId().toString()))</span>
<span class="fc" id="L73">            .body(result);</span>
    }

    /**
     * GET  /departaments : get all the departaments.
     *
     * @return the ResponseEntity with status 200 (OK) and the list of departaments in body
     */
    @GetMapping(&quot;/departaments&quot;)
    public List&lt;Departament&gt; getAllDepartaments() {
<span class="fc" id="L83">        log.debug(&quot;REST request to get all Departaments&quot;);</span>
<span class="fc" id="L84">        return departamentService.findAll();</span>
    }

    /**
     * GET  /departaments/:id : get the &quot;id&quot; departament.
     *
     * @param id the id of the departament to retrieve
     * @return the ResponseEntity with status 200 (OK) and with body the departament, or with status 404 (Not Found)
     */
    @GetMapping(&quot;/departaments/{id}&quot;)
    public ResponseEntity&lt;Departament&gt; getDepartament(@PathVariable Long id) {
<span class="fc" id="L95">        log.debug(&quot;REST request to get Departament : {}&quot;, id);</span>
<span class="fc" id="L96">        Optional&lt;Departament&gt; departament = departamentService.findOne(id);</span>
<span class="fc" id="L97">        return ResponseUtil.wrapOrNotFound(departament);</span>
    }

    /**
     * DELETE  /departaments/:id : delete the &quot;id&quot; departament.
     *
     * @param id the id of the departament to delete
     * @return the ResponseEntity with status 200 (OK)
     */
    @DeleteMapping(&quot;/departaments/{id}&quot;)
    public ResponseEntity&lt;Void&gt; deleteDepartament(@PathVariable Long id) {
<span class="fc" id="L108">        log.debug(&quot;REST request to delete Departament : {}&quot;, id);</span>
<span class="fc" id="L109">        departamentService.delete(id);</span>
<span class="fc" id="L110">        return ResponseEntity.ok().headers(HeaderUtil.createEntityDeletionAlert(ENTITY_NAME, id.toString())).build();</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>